APISettings
Get workspace settings
Fetch workspace-level configuration: name, domains, SLA, timezone, and inbound email. Requires the admin scope.
GET
/settings/workspacecurl -X GET "https://productlane.com/api/v2/settings/workspace" \
-H "Authorization: Bearer $PRODUCTLANE_API_KEY"Authorization
AuthorizationstringheaderrequiredBearer authentication header of the form
Bearer <token>, where<token>is your auth token.
Response
application/json
Successful response
idstringrequirednamestringrequireddomainstringrequiredcustom_domainstring | nullrequiredlogo_urlstring | nullrequiredtimezonestring | nullrequiredsla_enabledbooleanrequiredsla_use_business_hoursbooleanrequiredmax_response_time_hoursnumber | nullrequiredoffice_hoursanyemail_integration_enabledbooleanrequiredemail_integration_addressstring | nullrequireddomain_company_assignment_enabledbooleanrequiredauto_switch_contact_to_latest_senderbooleanrequiredauto_create_linear_customersbooleanrequiredrevenue_currencystringrequiredrevenue_formattingstringrequireddark_modeboolean | nullrequiredtrueforces dark mode,falseforces light mode,nullfollows the visitor's system setting.accent_colorstringrequiredaccent_text_colorstringrequiredbutton_text_colorstringrequireddark_mode_accent_colorstringrequireddark_mode_accent_text_colorstringrequireddark_mode_button_text_colorstringrequiredportal_embed_image_urlstring | nullrequiredcreated_atstringrequiredupdated_atstringrequired
{
"id": "string",
"name": "string",
"domain": "string",
"custom_domain": "string",
"logo_url": "string",
"timezone": "string",
"sla_enabled": true,
"sla_use_business_hours": true,
"max_response_time_hours": 0,
"office_hours": null,
"email_integration_enabled": true,
"email_integration_address": "string",
"domain_company_assignment_enabled": true,
"auto_switch_contact_to_latest_sender": true,
"auto_create_linear_customers": true,
"revenue_currency": "string",
"revenue_formatting": "string",
"dark_mode": true,
"accent_color": "string",
"accent_text_color": "string",
"button_text_color": "string",
"dark_mode_accent_color": "string",
"dark_mode_accent_text_color": "string",
"dark_mode_button_text_color": "string",
"portal_embed_image_url": "string",
"created_at": "string",
"updated_at": "string"
}